cascading.flow.tez

## Class TezGroupByClosure

- java.lang.Object
- - cascading.pipe.joiner.JoinerClosure
  - - cascading.flow.hadoop.HadoopGroupByClosure
    - - cascading.flow.tez.TezGroupByClosure

-     public class TezGroupByClosure
      extends HadoopGroupByClosure

- - ### Field Summary

    - ### Fields inherited from class cascading.flow.hadoop.HadoopGroupByClosure

      `grouping, values`

    - ### Fields inherited from class cascading.pipe.joiner.JoinerClosure

      `flowProcess, joinFields, valueFields`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TezGroupByClosure(FlowProcess flowProcess, Fields[] groupingFields, Fields[] valueFields)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.util.Iterator<Tuple>` | `getValueIterator(int pos)`

    - ### Methods inherited from class cascading.flow.hadoop.HadoopGroupByClosure

      `getGrouping, getGroupTuple, getIterator, isEmpty, makeIterator, reset, size`

    - ### Methods inherited from class cascading.pipe.joiner.JoinerClosure

      `getFlowProcess, getJoinFields, getValueFields, isSelfJoin`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TezGroupByClosure

          public TezGroupByClosure(FlowProcess flowProcess,
                           Fields[] groupingFields,
                           Fields[] valueFields)

  - ### Method Detail

    - #### getValueIterator

          protected java.util.Iterator<Tuple> getValueIterator(int pos)

      Overrides:
        `getValueIterator` in class `HadoopGroupByClosure`

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.